Kerbal Space Program - Bug #5013

service bay inside fairing not openable in editor
05/16/2015 12:05 PM - BloodyRain2k

Status: Closed Start date: 05/16/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you place a service bay inside a fairing in the editor you can't open it anymore until you delete the fairing, and rebuilt it after you're
done doing whatever you wanted to do inside the service bay.

This is pretty annoying and personally would | prefer service bays work like fairings and open automatically when you get close to
their doors, or an option for that since that might not be everyone's idea how it should work.

History

#1 - 07/22/2015 03:53 PM - Alchemist

Additional note: the same is true for any other parts with tweakable animation (antennas, ladders) - you can't tweak them in the VAB while under
fairing

#2 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/28/2016 11:24 AM - MiniMatt

- File ksp-bug5013.png added

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Whilst the priority undoubtedly needs lowering, and it possibly falls into the realm of feedback rather than bug, | can confirm this behaviour still
present in v1.1.3.1289 Win x64.

Alchemist's additional note also remains true.

#4 - 11/11/2016 07:10 PM - sal_vager

- File screenshot67.png added

- Status changed from Updated to Ready to Test
- % Done changed from 10 to 80

Should be fixed in 1.2

#5 - 12/03/2016 08:07 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
